#!/bin/bash

set -e
set -u

/bin/sed -e "s/%%SECRET_DATAPLANEAPI%%/${SECRET_DATAPLANEAPI}/g" -e "s/%%POD_NAMESPACE%%/${POD_NAMESPACE}/g" /etc/haproxy/haproxy.cfg > /run/haproxy/haproxy.cfg

if [[ ${EUID} > 0 ]]; then
    /bin/sed -i -e '\:chroot /run/offload:d' /run/haproxy/haproxy.cfg
fi

exec /usr/sbin/haproxy -f /run/haproxy/haproxy.cfg "$@"
